post
https://api.gobeeping.com/api/v1/client/products
What is it for?
Registers a new product in the system.
Conditions
- Requires authentication.
- Validations:
- Possible errors when creating a product:
- Error HTTP When it occurs:
- Field validation 422 If "name" or "code" are empty or exceed the maximum character limit
- After creation: the product is automatically set to "active" status.
Parameters
Fill in the fields in Body Params, Query Params and/or Path Params as applicable.
Expected response
HTTP 201 → { "id": 789 }
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
400Validation exception or invalid types (400 Bad Request)
404Product not found
409Conflict due to duplicate resource or uniqueness rule
422Data validation or business rule error
